> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Available Llm Models

> Lists the LLM models available to the tenant, grouped by provider.



## OpenAPI

````yaml https://document-assistant.us.aodocs.app/openapi.json get /assistant/api/v1/tenants/{tenant}/llm_models
openapi: 3.1.0
info:
  title: Document Assistant API
  description: |
    <p>
      The Document Assistant API enables developers to integrate document-based assistant
      functionalities into their applications using AODocs.
    </p>
    <p>
      The first step is to enable AIDA (AODocs Intelligent Document Assistant) in your tenant.
      The support team will provide you with the necessary information on how to get started.
    </p>
    <p>
      The second step is to enable AIDA on libraries. You need to be an administrator of the
      library to do this.<br />
      AIDA can answer questions only from those documents that are in an AIDA enabled
      library.<br />
      We create a vector store index for these documents. This can take some time. The get
      library API provides the status of the indexation and an estimate of the time
      remaining.<br />
      The content of the index is automatically kept up-to-date near real time with the
      content changes.
    </p>
    <p>
      The third step is to ask questions based on the AODocs documents.<br />
      AIDA automatically filters the results based on the user's permissions.
    </p>
    <p>
      <strong>Authentication:</strong> All API endpoints require a valid OAuth2 token in the
      Authorization header. Ensure the client ID of the OAuth2 token is whitelisted in AODocs.
    </p>
  version: 1.1.0
servers:
  - url: https://document-assistant.us.aodocs.app
    description: Production US
  - url: https://document-assistant.eu.aodocs.app
    description: Production EU
security: []
paths:
  /assistant/api/v1/tenants/{tenant}/llm_models:
    get:
      tags:
        - tenant
      summary: Get Available Llm Models
      description: Lists the LLM models available to the tenant, grouped by provider.
      operationId: >-
        get_available_llm_models_assistant_api_v1_tenants__tenant__llm_models_get
      parameters:
        - name: tenant
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: The domain of the customer
            examples:
              - example.com
            title: Tenant
          description: The domain of the customer
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiAvailableLlmModels'
        '404':
          description: Tenant is not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApiAvailableLlmModels:
      properties:
        default_provider:
          $ref: '#/components/schemas/LlmProvider'
          description: Provider this tenant uses by default.
        providers:
          items:
            $ref: '#/components/schemas/ApiLlmProviderModels'
          type: array
          title: Providers
          description: Providers with the models available to the tenant, in display order.
      type: object
      required:
        - default_provider
        - providers
      title: ApiAvailableLlmModels
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    LlmProvider:
      type: string
      enum:
        - OpenAI
        - Google
        - Altirnao
        - MistralAI
        - Anthropic
      title: LlmProvider
    ApiLlmProviderModels:
      properties:
        provider:
          $ref: '#/components/schemas/LlmProvider'
          description: LLM provider.
        default_model:
          type: string
          title: Default Model
          description: Model this tenant uses by default for this provider.
        models:
          items:
            $ref: '#/components/schemas/ApiLlmModel'
          type: array
          title: Models
          description: Models available to the tenant for this provider.
      type: object
      required:
        - provider
        - default_model
        - models
      title: ApiLlmProviderModels
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ApiLlmModel:
      properties:
        model:
          type: string
          title: Model
          description: Model id used when submitting an extraction request.
        display_name:
          type: string
          title: Display Name
          description: Human-readable label for the model.
      type: object
      required:
        - model
        - display_name
      title: ApiLlmModel
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````